#include <Wire.h>
#include <Adafruit_MPU6050.h>
#include <Adafruit_Sensor.h>

Adafruit_MPU6050 mpu;

void setup() {
  Serial.begin(115200);
  while (!Serial)
    delay(10); // Attendre l'ouverture du port série

  // Initialiser le capteur MPU6050
  if (!mpu.begin()) {
    Serial.println("Échec de la détection du MPU6050");
    while (1) {
      delay(10);
    }
  }

  // En-tête CSV
  Serial.println("Timestamp,AccelX,AccelY,AccelZ,GyroX,GyroY,GyroZ");
}

void loop() {
  // Lecture des données du capteur
  sensors_event_t a, g, temp;
  mpu.getEvent(&a, &g, &temp);

  // Envoi des données avec timestamp au format CSV
  Serial.print(millis()); // Timestamp en millisecondes
  Serial.print(",");
  Serial.print(a.acceleration.x, 6);
  Serial.print(",");
  Serial.print(a.acceleration.y, 6);
  Serial.print(",");
  Serial.print(a.acceleration.z, 6);
  Serial.print(",");
  Serial.print(g.gyro.x, 6);
  Serial.print(",");
  Serial.print(g.gyro.y, 6);
  Serial.print(",");
  Serial.println(g.gyro.z, 6);

  delay(20); // Ajuster le délai selon le taux d'échantillonnage souhaité (20 ms ≈ 50 Hz)
}
